Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454270 - SCHED_FIFO spec violation
Summary: SCHED_FIFO spec violation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: beta
Hardware: All
OS: All
low
high
Target Milestone: 1.0.3
: ---
Assignee: Peter Zijlstra
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 12:08 UTC by IBM Bug Proxy
Modified: 2014-08-11 05:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-07 19:21:34 UTC


Attachments (Terms of Use)
[PATCH] Enqueue deprioritized RT tasks to head of prio array (deleted)
2008-07-07 12:08 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 46078 None None None Never
Red Hat Product Errata RHSA-2008:0857 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-10-07 19:18:59 UTC

Description IBM Bug Proxy 2008-07-07 12:08:21 UTC
=Comment: #0=================================================
Darren V. Hart <dvhltc@us.ibm.com> - 2008-07-03 13:10 EDT
According to the SUS, when a SCHED_FIFO task's priority is lowered, it should be
added to the head of the corresponding priority array:

http://www.opengroup.org/onlinepubs/009695399/functions/xsh_chap02_08.html#tag_02_08_04_01

Peter Z. noticed this and wrote a patch to address it:

http://lkml.org/lkml/2008/6/16/344

The dequeue_rt_stack() apparently still needs some work according to peterz
comments.

=Comment: #2=================================================
Darren V. Hart <dvhltc@us.ibm.com> - 2008-07-03 13:22 EDT
The enqueue_task changed in 2.6.25, so a backport will be required.  It's a
simple patch, so that shouldn't pose a problem.

=Comment: #3=================================================
Darren V. Hart <dvhltc@us.ibm.com> - 2008-07-03 15:01 EDT
I've backported the patch and have an R2 patch ready.  Currently under test on
elm3b172 running release-testing.sh.
=Comment: #4=================================================
Darren V. Hart <dvhltc@us.ibm.com> - 2008-07-03 18:27 EDT

[PATCH] Enqueue deprioritized RT tasks to head of prio array

The attached patch is currently undergoing release-testing.

Comment 1 IBM Bug Proxy 2008-07-07 12:08:24 UTC
Created attachment 311140 [details]
[PATCH] Enqueue deprioritized RT tasks to head of prio array

Comment 2 Clark Williams 2008-08-20 13:46:33 UTC
Are we good with this one?

Comment 3 IBM Bug Proxy 2008-08-20 17:00:53 UTC
(In reply to comment #11)
> ------- Comment From williams@redhat.com 2008-08-20 09:46:33 EDT-------
> Are we good with this one?

Yup.

Comment 5 David Sommerseth 2008-10-06 16:38:27 UTC
Verified by code review

Comment 7 errata-xmlrpc 2008-10-07 19:21:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0857.html


Note You need to log in before you can comment on or make changes to this bug.